> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# track.lyricslens.get

> Retrieve music lyrics analysis data for a specific track.

<Warning>
  This endpoint is deprecated and will be removed on **September 1, 2026**. Use [track.lyrics.analysis.get](/api-reference/analysis/track-lyrics-analysis-get) instead.
</Warning>

This example serves as a guide for developers and technical teams to integrate and utilize Musixmatch's lyrics analysis API efficiently.
At least one of the query parameters must be indicated: **commontrack\_id**, **track\_id** or **track\_isrc**.

For detailed information about the metadata returned by this endpoint, please refer to the [Lyric Lens documentation](/api-reference/analysis/analysis-overview).


## OpenAPI

````yaml get /ws/1.1/track.lyricslens.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/track.lyricslens.get:
    get:
      tags:
        - Enterprise
      summary: track.lyricslens.get
      description: Retrieve music lyrics analysis data for a specific track.
      operationId: trackLyricslensGet
      parameters:
        - name: track_id
          in: query
          schema:
            type: string
            example: '89654393'
          description: The Musixmatch unique track ID.
        - name: track_isrc
          in: query
          schema:
            type: string
            example: GBAAA9100070
          description: >-
            A valid ISRC (International Standard Recording Code) identifier for
            the track.
        - name: commontrack_id
          in: query
          schema:
            type: string
            example: '123'
      responses:
        '200':
          description: 200 OK / 401 Unauthorized / 404 Not Found
          headers:
            Accept-Ranges:
              schema:
                type: string
                example: bytes
            Age:
              schema:
                type: string
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '105'
            Date:
              schema:
                type: string
                example: Thu, 13 Feb 2025 21:03:01 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Via:
              schema:
                type: string
                example: 1.1 varnish
            X-Cache:
              schema:
                type: string
                example: MISS
            X-Cache-Hits:
              schema:
                type: string
                example: '0'
            X-Served-By:
              schema:
                type: string
                example: cache-iad-kjyo7100061-IAD
            X-Timer:
              schema:
                type: string
                example: S1739480582.530558,VS0,VE50
            x-mxm-api-application-id:
              schema:
                type: string
                example: '1409624942950'
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.036893844604492'
            x-mxm-header-status:
              schema:
                type: string
                example: '404'
            x-mxm-nginx-ingress-controller:
              schema:
                type: string
                example: nginx-cdt-apisite-api
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              lens:
                                type: object
                                properties:
                                  entities:
                                    type: object
                                    properties:
                                      entity_list:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            categories:
                                              type: array
                                              items:
                                                type: string
                                                example: Things
                                              example:
                                                - Things
                                                - Geographical Locations
                                                - Natural Landmarks & Features
                                            entity_name:
                                              type: string
                                              example: Earth
                                            matches:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  end_char:
                                                    type: number
                                                    example: 69
                                                  matched_text:
                                                    type: string
                                                    example: Earth
                                                  start_char:
                                                    type: number
                                                    example: 64
                                              example:
                                                - end_char: 69
                                                  matched_text: Earth
                                                  start_char: 64
                                                - end_char: 570
                                                  matched_text: Earth
                                                  start_char: 565
                                                - end_char: 1071
                                                  matched_text: Earth
                                                  start_char: 1066
                                                - end_char: 1507
                                                  matched_text: Earth
                                                  start_char: 1502
                                            model_metadata:
                                              type: object
                                              properties:
                                                description:
                                                  type: string
                                                  example: >-
                                                    The third planet from the Sun in the
                                                    Solar System.
                                                type:
                                                  type: string
                                                  example: Natural Landmarks & Features
                                            occurrencies:
                                              type: number
                                              example: 4
                                            wikidata:
                                              type: object
                                              properties:
                                                description:
                                                  type: string
                                                  example: >-
                                                    third planet from the Sun in the Solar
                                                    System
                                                id:
                                                  type: string
                                                  example: Q2
                                                rank:
                                                  type: number
                                                  example: 527523
                                                thumbnail:
                                                  type: string
                                                  example: >-
                                                    https://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/The_Blue_Marble_(5052124705).jpg/50px-The_Blue_Marble_(5052124705).jpg
                                                types:
                                                  type: array
                                                  items:
                                                    type: string
                                                    example: terrestrial planet
                                                  example:
                                                    - terrestrial planet
                                                    - inner planet of the Solar System
                                            wikipedia:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  language:
                                                    type: string
                                                    example: en
                                                  url:
                                                    type: string
                                                    example: https://en.wikipedia.org/wiki/Earth
                                              example:
                                                - language: en
                                                  url: https://en.wikipedia.org/wiki/Earth
                                        example:
                                          - categories:
                                              - Things
                                              - Geographical Locations
                                              - Natural Landmarks & Features
                                            entity_name: Earth
                                            matches:
                                              - end_char: 69
                                                matched_text: Earth
                                                start_char: 64
                                              - end_char: 570
                                                matched_text: Earth
                                                start_char: 565
                                              - end_char: 1071
                                                matched_text: Earth
                                                start_char: 1066
                                              - end_char: 1507
                                                matched_text: Earth
                                                start_char: 1502
                                            model_metadata:
                                              description: >-
                                                The third planet from the Sun in the
                                                Solar System.
                                              type: Natural Landmarks & Features
                                            occurrencies: 4
                                            wikidata:
                                              description: >-
                                                third planet from the Sun in the Solar
                                                System
                                              id: Q2
                                              rank: 527523
                                              thumbnail: >-
                                                https://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/The_Blue_Marble_(5052124705).jpg/50px-The_Blue_Marble_(5052124705).jpg
                                              types:
                                                - terrestrial planet
                                                - inner planet of the Solar System
                                            wikipedia:
                                              - language: en
                                                url: https://en.wikipedia.org/wiki/Earth
                                  language_detection:
                                    type: object
                                    properties:
                                      languages:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            is_romanized:
                                              type: boolean
                                              example: false
                                            language_iso_code_1:
                                              type: string
                                              example: en
                                            language_iso_code_3:
                                              type: string
                                              example: eng
                                            language_name:
                                              type: string
                                              example: english
                                            percentage:
                                              type: number
                                              example: 100
                                        example:
                                          - is_romanized: false
                                            language_iso_code_1: en
                                            language_iso_code_3: eng
                                            language_name: english
                                            percentage: 100
                                  meaning:
                                    type: object
                                    properties:
                                      description:
                                        type: string
                                        example: >-
                                          Generates a simple, short explanation of
                                          the lyrics' content.
                                      explanation:
                                        type: string
                                        example: >-
                                          The song 'Hymn of the Big Wheel' by
                                          Massive Attack feat. Nellee Hooper
                                          reflects on the cyclical nature of life,
                                          where one person's struggles contrast
                                          with another's ease. Metaphors like the
                                          big wheel turning symbolize life's
                                          continuous motion, while references to
                                          nature changing colors and the power of
                                          reflections convey themes of
                                          transformation and introspection amidst
                                          societal challenges.
                                  moderation:
                                    type: object
                                    properties:
                                      categories:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            category:
                                              type: string
                                              example: harassment
                                            is_present:
                                              type: boolean
                                              example: false
                                            score:
                                              type: number
                                              example: 0.00068057960020849
                                        example:
                                          - category: harassment
                                            is_present: false
                                            score: 0.00068057960020849
                                          - category: hate
                                            is_present: false
                                            score: 0.000059766937110287
                                          - category: illicit
                                            is_present: false
                                            score: 0.000013342001090985
                                          - category: sexual
                                            is_present: false
                                            score: 0.00014550629385328
                                          - category: violence
                                            is_present: false
                                            score: 0.0161601690627
                                          - category: harassment/threatening
                                            is_present: false
                                            score: 0.000043055708132461
                                          - category: hate/threatening
                                            is_present: false
                                            score: 0.0000099152731159202
                                          - category: illicit/violent
                                            is_present: false
                                            score: 0.0000071419013998964
                                          - category: self-harm/intent
                                            is_present: false
                                            score: 0.00036267345270147
                                          - category: self-harm/instructions
                                            is_present: false
                                            score: 0.00023110109769851
                                          - category: self-harm
                                            is_present: false
                                            score: 0.0047112553843201
                                          - category: sexual/minors
                                            is_present: false
                                            score: 0.000023050672199314
                                          - category: violence/graphic
                                            is_present: false
                                            score: 0.0015815976938514
                                      description:
                                        type: string
                                        example: >-
                                          Identifies a set of content categories
                                          that may require moderation.
                                      needs_moderation:
                                        type: boolean
                                        example: false
                                  moods:
                                    type: object
                                    properties:
                                      description:
                                        type: string
                                        example: >-
                                          Extracts a list of an arbitrary number
                                          of moods from the lyrics corpus to
                                          establish a form of lyrics
                                          classification through sentiment
                                          analysis.
                                      main_moods:
                                        type: array
                                        items:
                                          type: string
                                          example: reflection
                                        example:
                                          - reflection
                                          - angst
                                          - social commentary
                                          - nature
                                          - empowerment
                                  rating:
                                    type: object
                                    properties:
                                      audience:
                                        type: string
                                        example: PG
                                      description:
                                        type: string
                                        example: >-
                                          Assigns to the provided song's lyrics a
                                          parental guide rating, much like the
                                          ones from the Motion Picture Association
                                          film rating system.
                                      descriptor:
                                        type: string
                                        example: >-
                                          The lyrics contain themes of struggle
                                          and reflection on life and the
                                          environment, which may require parental
                                          guidance for younger children. There are
                                          no explicit themes, but some lines may
                                          be considered more suitable for older
                                          children.
                                  religion:
                                    type: object
                                    properties:
                                      description:
                                        type: string
                                        example: >-
                                          Identifies references to religions,
                                          religious themes or religious groups
                                          within a song's lyrics.
                                      has_references:
                                        type: boolean
                                        example: false
                                  themes:
                                    type: object
                                    properties:
                                      description:
                                        type: string
                                        example: >-
                                          Extracts a list of the main themes
                                          covered by the song's lyrics, referring
                                          to the portion of the songs that better
                                          convey such messages.
                                      main_themes:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            quotes:
                                              type: array
                                              items:
                                                type: string
                                                example: >-
                                                  An acid drop of rain, recycled from the
                                                  sea
                                              example:
                                                - >-
                                                  An acid drop of rain, recycled from the
                                                  sea
                                                - One man struggles while another relaxes
                                                - >-
                                                  But the ghetto sun will nurture life and
                                                  mend my soul sometime again
                                            theme:
                                              type: string
                                              example: struggle and resilience
                                        example:
                                          - quotes:
                                              - >-
                                                An acid drop of rain, recycled from the
                                                sea
                                              - One man struggles while another relaxes
                                              - >-
                                                But the ghetto sun will nurture life and
                                                mend my soul sometime again
                                            theme: struggle and resilience
                                          - quotes:
                                              - >-
                                                Look up at the blue skies beneath a new
                                                tree
                                              - >-
                                                The wheel keeps turning, the sky's
                                                rearranging
                                              - >-
                                                Sometime again, you'll turn green, and
                                                the sea turns red
                                            theme: change and reflection
                                          - quotes:
                                              - >-
                                                Will you cry in the most in a lead-free
                                                zone?
                                              - And so the green come tumbling down
                                              - There's a hole in my soul like a cavity
                                            theme: environmental awareness
                          - type: array
                            items: {}
                            example: []
                          - type: object
                            properties:
                              lens:
                                type: array
                                items: {}
                                example: []
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.0059211254119873
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        lens:
                          entities:
                            entity_list:
                              - categories:
                                  - Things
                                  - Geographical Locations
                                  - Natural Landmarks & Features
                                entity_name: Earth
                                matches:
                                  - end_char: 69
                                    matched_text: Earth
                                    start_char: 64
                                  - end_char: 570
                                    matched_text: Earth
                                    start_char: 565
                                  - end_char: 1071
                                    matched_text: Earth
                                    start_char: 1066
                                  - end_char: 1507
                                    matched_text: Earth
                                    start_char: 1502
                                model_metadata:
                                  description: >-
                                    The third planet from the Sun in the Solar
                                    System.
                                  type: Natural Landmarks & Features
                                occurrencies: 4
                                wikidata:
                                  description: >-
                                    third planet from the Sun in the Solar
                                    System
                                  id: Q2
                                  rank: 527523
                                  thumbnail: >-
                                    https://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/The_Blue_Marble_(5052124705).jpg/50px-The_Blue_Marble_(5052124705).jpg
                                  types:
                                    - terrestrial planet
                                    - inner planet of the Solar System
                                wikipedia:
                                  - language: en
                                    url: https://en.wikipedia.org/wiki/Earth
                          language_detection:
                            languages:
                              - is_romanized: false
                                language_iso_code_1: en
                                language_iso_code_3: eng
                                language_name: english
                                percentage: 100
                          meaning:
                            description: >-
                              Generates a simple, short explanation of the
                              lyrics' content.
                            explanation: >-
                              The song 'Hymn of the Big Wheel' by Massive Attack
                              feat. Nellee Hooper reflects on the cyclical
                              nature of life, where one person's struggles
                              contrast with another's ease. Metaphors like the
                              big wheel turning symbolize life's continuous
                              motion, while references to nature changing colors
                              and the power of reflections convey themes of
                              transformation and introspection amidst societal
                              challenges.
                          moderation:
                            categories:
                              - category: harassment
                                is_present: false
                                score: 0.00068057960020849
                              - category: hate
                                is_present: false
                                score: 0.000059766937110287
                              - category: illicit
                                is_present: false
                                score: 0.000013342001090985
                              - category: sexual
                                is_present: false
                                score: 0.00014550629385328
                              - category: violence
                                is_present: false
                                score: 0.0161601690627
                              - category: harassment/threatening
                                is_present: false
                                score: 0.000043055708132461
                              - category: hate/threatening
                                is_present: false
                                score: 0.0000099152731159202
                              - category: illicit/violent
                                is_present: false
                                score: 0.0000071419013998964
                              - category: self-harm/intent
                                is_present: false
                                score: 0.00036267345270147
                              - category: self-harm/instructions
                                is_present: false
                                score: 0.00023110109769851
                              - category: self-harm
                                is_present: false
                                score: 0.0047112553843201
                              - category: sexual/minors
                                is_present: false
                                score: 0.000023050672199314
                              - category: violence/graphic
                                is_present: false
                                score: 0.0015815976938514
                            description: >-
                              Identifies a set of content categories that may
                              require moderation.
                            needs_moderation: false
                          moods:
                            description: >-
                              Extracts a list of an arbitrary number of moods
                              from the lyrics corpus to establish a form of
                              lyrics classification through sentiment analysis.
                            main_moods:
                              - reflection
                              - angst
                              - social commentary
                              - nature
                              - empowerment
                          rating:
                            audience: PG
                            description: >-
                              Assigns to the provided song's lyrics a parental
                              guide rating, much like the ones from the Motion
                              Picture Association film rating system.
                            descriptor: >-
                              The lyrics contain themes of struggle and
                              reflection on life and the environment, which may
                              require parental guidance for younger children.
                              There are no explicit themes, but some lines may
                              be considered more suitable for older children.
                          religion:
                            description: >-
                              Identifies references to religions, religious
                              themes or religious groups within a song's lyrics.
                            has_references: false
                          themes:
                            description: >-
                              Extracts a list of the main themes covered by the
                              song's lyrics, referring to the portion of the
                              songs that better convey such messages.
                            main_themes:
                              - quotes:
                                  - An acid drop of rain, recycled from the sea
                                  - One man struggles while another relaxes
                                  - >-
                                    But the ghetto sun will nurture life and
                                    mend my soul sometime again
                                theme: struggle and resilience
                              - quotes:
                                  - Look up at the blue skies beneath a new tree
                                  - >-
                                    The wheel keeps turning, the sky's
                                    rearranging
                                  - >-
                                    Sometime again, you'll turn green, and the
                                    sea turns red
                                theme: change and reflection
                              - quotes:
                                  - >-
                                    Will you cry in the most in a lead-free
                                    zone?
                                  - And so the green come tumbling down
                                  - There's a hole in my soul like a cavity
                                theme: environmental awareness
                      header:
                        execute_time: 0.0059211254119873
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0018389225006104
                        status_code: 401
                404 Not Found:
                  value:
                    message:
                      body:
                        lens: []
                      header:
                        execute_time: 0.036893844604492
                        status_code: 404
      deprecated: true
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````